Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

List engagement profiles

List all engagement-only profiles in the workspace. Engagement profiles can only be used for team engagements.

GET/profiles/engagement
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Responses
200

List of engagement profiles

Array of Profile
idstring<uuid>
namestring | null
detailstring | null
channelChannel
Allowed:LinkedInTwitterInstagramFacebookThreadsTikTokDiscordSlackWebflowYouTubeShorts
profileImageUrlstring | null
isReintegrationRequiredboolean
createdAtstring<date-time>
createdByUserSummary
Show properties
idstring<uuid>
emailstring<email>
firstNamestring | null
lastNamestring | null
401

Unauthorized - Missing or invalid API key

codestring
messagestring
Try it
Server
Authorization
Request
curl -X GET 'https://app.tryordinal.com/api/v1/profiles/engagement' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
[
  {
    "id": "550e8400-e29b-41d4-a716-446655440002",
    "name": "Acme Marketing",
    "detail": "@acme_marketing",
    "channel": "Twitter",
    "profileImageUrl": "https://pbs.twimg.com/profile_images/example.jpg",
    "isReintegrationRequired": false,
    "createdAt": "2025-07-20T14:30:00.000Z",
    "createdBy": {
      "id": "550e8400-e29b-41d4-a716-446655440010",
      "email": "john@acme.com",
      "firstName": "John",
      "lastName": "Doe"
    }
  }
]